@import 'src/style/includes/sass_vars_and_mixins.module.scss';

// HEADER

.header {
  position: relative;
  z-index: 999;
  background-color: white;
}

.headerInner {
  display: flex;
  justify-content: stretch;
  align-items: center;
  padding: var(--space-m) var(--space-s);

  @include smaller-than-l {
    padding:  var(--space-s) var(--space-m);
  }

  @include smaller-than-s {
    padding-top: 20px;
    padding-bottom: 18px;
  }
}

.headerStart {
  display: flex;
  align-items: center;
  flex-grow: 1;
}

.toolName {
  font-size: var(--font-size-l);
  font-weight: 600;
  color: var(--color-brand-base);
  margin-right: var(--space-xxl);
  display: flex;
  flex-direction: column;
  line-height: 1.1em;
  letter-spacing: -0.007em;

  @include smaller-than-m {
    font-size: var(--font-size-m);
    margin-right: 0.5rem;
  }

  @include smaller-than-s {
    font-size: 17px;
  }

  @include smaller-than-xs {
    font-size: 16px;
  }
}

.toolNameLine {
  white-space: nowrap;
}

.toggleWrapper {
  margin-right: var(--space-s);
  margin-left: -2px;
  display: flex;
  align-items: center;
}

.toggleButton {
  background: transparent;
  color: var(--color-brand-base);
  border: none;
  font-size: 30px;
  cursor: pointer;
  padding: 0;
}

.headerEnd {
  margin-left: var(--space-l);
}

.nav {
  transition: all 0.1s;
  display: flex;
  width: 100%;
  flex-grow: 2;
  justify-content: space-between;

  &[aria-hidden='true'] {
    visibility: hidden;
    opacity: 0;
    transform: translateY(-10%);
  }

  @include smaller-than-s {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: white;
    border-bottom: 1px solid var(--color-background-weakest);
    border-top: 1px solid var(--color-background-weakest);
    width: 100%;
    padding: var(--space-l) var(--space-s);

    .countriesTray {
      box-shadow: none;
      border-bottom: 1px solid var(--color-background-weakest);
    }
  }
}

.navigationItems {
  display: flex;
  align-items: center;
  margin: 0;
}

.navigationItem {
  list-style: none;
  margin-right: var(--space-l);
  margin-bottom: 0;

  @include smaller-than-m {
    margin-right: var(--space-m);

    &:last-child {
      margin-right: 0;
    }    
  }
}

.navigationLink {
  &.isActive {
    font-weight: 600;
  }
}

.caLink {
  display: inline-block;
}

.caLogo {
  width: 100px;
  display: inline-block;
  position: relative;
  top: -3px;

  @include smaller-than-m {
    width: 100px;
  }

  @include smaller-than-s {
    width: 76px;
    position: relative;
    top: 0;
  }
}

a.skipLink {
  position: fixed;
  left: 50%;
  top: 0;
  transform: translate(-50%, -110%);

  &:focus {
    transform: translate(-50%, 4px);
  }
}

// FOOTER

.footerWrapper {
  background-color: var(--color-background-weaker);
  margin-bottom: var(--space-m);

  @include smaller-than-s {
    padding: 0;
    margin: 0;
  }
}

.footer {
  font-size: var(--font-size-s);
  border-bottom: 1px solid var(--color-background-weakest);
  align-items: end;


  @include smaller-than-s {
    padding-bottom: var(--space-l);
    padding-top: var(--space-l);
  }
}

.toolFooter {
  padding-bottom: var(--space-xl);
  padding-top: var(--space-xl);

  @include smaller-than-s {
    padding-bottom: var(--space-l);
  }
}

.caFooter {
  color: var(--color-text-weaker);
  border-bottom: none;
  align-items: start;
  padding-bottom: var(--space-m);
  padding-top: var(--space-l);

  .footerLink,
  a,
  .footerText {
    color: var(--color-text-weaker);
    margin-bottom: 0;
  }
}

.footerSection {
  line-height: var(--font-line-height-base);

  @include smaller-than-m {
    margin-bottom: var(--space-l);

    &:last-child {
      margin-bottom: 0;
    }
  }
}

.footerToolTitle {
  color: var(--color-text-base);
  font-weight: 600;
  font-size: var(--font-size-m);
  display: inline-block;
  margin-bottom: var(--space-xxs);

  &:hover {
    text-decoration: none;
  }
}

.footerText {
  margin: 0;
  font-size: var(--font-size-s);
  max-width: 340px;
  line-height: 1.5em;
  margin-bottom: var(--space-l);
}

.footerNav {
  padding-left: 0;
  margin: 0;

  @include smaller-than-s {
    display: flex;
  }
}

.footerNavItem {
  list-style: none;
  margin: 0;

  @include smaller-than-s {
    margin-right: var(--space-s);
    font-weight: 500;
  }
}

.footerLink {
  text-decoration: none;
  color: var(--color-brand-base);

  &:hover {
    text-decoration: none;
  }
}

.footerCaTitle {
  margin-bottom: var(--space-xxs);
  font-size: var(--font-size-s);

  @include smaller-than-m {
    margin-bottom: 0.2em;
  }
}

// EMBED FOOTER

.embedFooterWrapper {
  //border-top: 1px solid var(--color-background-weaker);
  background: var(--color-background-weakest);
}

.embedFooter {
  padding-top: var(--space-s);
  padding-bottom: var(--space-s);
  font-size: var(--font-size-s);
  color: var(--color-text-weaker);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.embedCaLogo {
  width: 90px;
}
